/**
 * 数据中台通用接口文档
 */
import httputils from "@/api/httputils";
const baseApi = "/datacenter";

// 创建项目
export function projectCreate(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/project/create`, postParams);
}

// 查询项目信息
export function projectQuery(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/project/query`, postParams);
}

// 更新项目信息
export function projectUpdate(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/project/update`, postParams);
}

// 查询建筑信息
export function buildingQuery(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/building/query`, postParams);
}

// 查询建筑信息
export function floorQuery(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/floor/query`, postParams);
}

// 字典查询
export function dictCategoryQuery(postParams: any): any {
    return httputils.postJson(`${ baseApi }/dict/category`, postParams);
}

// 查询项目下类型的信息点-->编辑器 空间功能类型 列表-->自己转成树
export function dictQuery(postParams: any): any {
    // postParams:{
    // "filters": "code='roomFuncType'",
    // "type": "FunctionZone"
    // }
    return httputils.postJson(`${ baseApi }/dict/query`, postParams);
}

// 查询空间实例
export function PartiInstancQuery(postParams: any): any {
    // postParams:{
    // "filters": "code='roomFuncType'",
    // "type": "FunctionZone"
    // }
    return httputils.postJson(`${ baseApi }/object/zone/query`, postParams);
}

// 查询设备信息
export function queryEquip(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/equip/query`, postParams)
}

// 根据id删除设备信息
export function deleteEquip(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/equip/delete`, postParams)
}

// 创建设备信息
export function createEquip(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/equip/create`, postParams)
}

// 更新设备信息
export function updateEquip(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/equip/update`, postParams)
}

// 查询系统信息
export function querySystem(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/system/query`, postParams)
}

// 查询空间信息
export function queryZone(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/zone/query`, postParams)
}

// 查询元空间信息
export function queryIspace(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/ispace/query`, postParams)
}

// 创建空间
export function createZone(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/zone/create`, postParams)
}

// 更新空间
export function updateZone(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/zone/update`, postParams)
}

// 更新空间
export function deleteZone(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/zone/delete`, postParams)
}

// 查询设备统计
export function queryCount(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/equip/count`, postParams)
}

// 查询系统统计
export function queryCountSystem(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/system/count`, postParams)
}

// 创建系统信息
export function createSystem(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/system/create`, postParams)
}

// 更新系统信息
export function updateSystem(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/system/update`, postParams)
}

// 查询空间统计
export function queryCountSpace(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/zone/count`, postParams)
}

// 查询关系总览
export function relationshipOverview(postParams: any): any {
    return httputils.postJson(`${ baseApi }/rel/graphic/overview`, postParams)
}

// 查询关系数量
export function relationshipCount(postParams: any): any {
    return httputils.postJson(`${ baseApi }/rel/graphic/query/count`, postParams)
}

// 查看关系相关的数据类型
export function relToType(getParams: any) {
    return httputils.getJson(`${ baseApi }/rel/graphic/relToType`, getParams)
}

// 查询关系数据
export function relManualQuery(postParams: any) {
    return httputils.postJson(`${ baseApi }/rel/manual/query`, postParams)
}

// 添加关系数据
export function relAdd(postParams: any) {
    return httputils.postJson(`${ baseApi }/rel/manual/add`, postParams)
}

// 删除关系数据
export function relDel(postParams: any) {
    return httputils.postJson(`${ baseApi }/rel/manual/del`, postParams)
}

// 关系计算
export function relationCalc(postParams: any) {
    const url = `${ baseApi }/relation-calc${ postParams.requestUrl }?objectTypes=${ postParams.objectTypes }&graphCode=${ postParams.graphCode }&relType=${ postParams.relType }`
    return httputils.postJson(url, {})
}

// 更新计算时间
export function updateCalcTime(getParams: any) {
    const url = `${ baseApi }/rel/graphic/updateCalcTime?graphCode=${ getParams.graphCode }&relType=${ getParams.relType }&computingTime=${ getParams.computingTime }`
    return httputils.getJson(url, {})
}
