/**
 * 文件服务器接口
 */

import httputils from "@/api/httputils";
const baseUrl = '/image-service'

/**
 * info: 申请分片上传接口(获取上传UploadId)
 * @params {systemId:string} params 系统的名称
 * @params {secret:string} params 系统的密码
 * @params {key:string} params  成功的回上传的文件名(可以包含文件路径)
 * @params {overwrite:boolean} params 表示是否覆盖已有的文件(如果存在) 注：overwrite有一定风险, 只在注册分片时校验, 合并时候如果key被占用, 会覆盖掉之前文件
 * 
 */
export function getUploadId(params: any): any {
    return httputils.fetchJson(`${baseUrl}/common/register_multipart_upload`, params, {});
}

/**
 * info: 合并分片的接口
 * @params {systemId:string} params 系统的名称
 * @params {secret:string} params 系统的密码
 * @params {uploadId:string} params  需要合并的上传文件的uploadId
 * 
 */
export function mergeMultipart(params: any): any {
    return httputils.fetchJson(`${baseUrl}/common/merge_multipart`, params, {});
}

/**
 * 图片上传地址
 */
export const imageUploadUrl = `${baseUrl}/common/image_upload?systemId=dataPlatform&secret=9e0891a7a8c8e885&overwrite=true&key=`;

/**
 * 图片预览地址
 */
export const imageGetUrl = `${baseUrl}/common/image_get?systemId=dataPlatform&key=`;