/**
 * 消息中心接口文档
 */
import httputils from "@/api/httputils";
const baseUrl = "/message-center";

/**
 * title: 统计数量
 * info: 查询总数量不传参数，查询 已读Read = true，未读 Read = false
 */
export function messgeCount(postParams: any): Promise<any> {
    return httputils.postJson(`${baseUrl}/message/count`, postParams);
}

/**
 * title: 创建消息
 * info: 消息类型：提示(Info)、警告(Warning)、错误(Error)、成功(Success)
 */
export function messgeCreate(postParams: any): Promise<any> {
    return httputils.postJson(`${baseUrl}/message/create`, postParams);
}

/**
 * title: 删除消息
 */
export function messgeDelete(postParams: any): Promise<any> {
    return httputils.postJson(`${baseUrl}/message/delete`, postParams);
}

/**
 * title: 查询消息列表
 */
export function messgeQuery(postParams: any): Promise<any> {
    return httputils.postJson(`${baseUrl}/message/page-query`, postParams);
}

/**
 * title: 更新消息状态
 * info: 是否读过：未读（f）、已读（t）
 */
export function messgeUpdate(postParams: any): Promise<any> {
    return httputils.postJson(`${baseUrl}/message/update`, postParams);
}

/**
 * title: 根据接收人将消息置为已读
 * info: 已读Read = true,*UserId
 */
export function messgeUpdateState(postParams: any): Promise<any> {
    return httputils.postJson(`${baseUrl}/message/update-state`, postParams);
}
