/**
 * 模型服务接口文档
 */
import httputils from "@/api/httputils";
const baseUrl = "/modelapi";
const revitUrl = "/schedulerapi";

// 查询模型文件夹
export function queryModel(postParams: any): any {
    return httputils.postJson(`${baseUrl}/model-folder/query`, postParams);
}

// 查询模型文件夹下的所有模型文件
export function queryFloorList(postParams: any): any {
    return httputils.postJson(`${baseUrl}/model-floor/query-list`, postParams);
}

// 准备分片上传模型文件接口
export function modelFileUpload(postParams: any): any {
    return httputils.postJson(`${baseUrl}/model-file/upload`, postParams);
}

// 准备分片上传模型文件接口
export function mergeModelFile(postParams: any): any {
    return httputils.postJson(`${baseUrl}/model-file/merge`, postParams);
}

// 查询模型文件
export function queryModelFile(postParams: any): any {
    return httputils.postJson(`${baseUrl}/model-file/query`, postParams);
}

// 删除模型文件
export function deleteModelFileList(postParams: any): any {
    const data = {
        Id: postParams.Id,
        Force: postParams.Force ? postParams.Force : false
    };
    return httputils.postJson(`${baseUrl}/model-file/delete-file`, data);
}

// 模型流程监控
export function modelPathControl(postParams: any): any {
    return httputils.postJson(`${baseUrl}/model-monitor/query`, postParams);
}

// 模型流程监控-获取待分配模型数量
export function unassignQuery(postParams: any): any {
    return httputils.postJson(`${revitUrl}/task/query`, postParams);
}


