import { Notification } from 'element-ui';
import Bus from '@/utils/bus'

class MSMQ {
    static msgTypeMap: any =  {
    "Success": "success",
    "Error": "error",
    "Warning": "warning",
    "Info": "info",
  }

  static moduleMap: any =  {//消息模块映射
    "Model": "模型文件管理"
  }
  
  static handleMsg (message: any, projects: any[], userId: string, unreadNum: number) {
    let data: any
    try {
      data = JSON.parse(message.body)
    } catch (err) {
      return 0;
    }
    if(data.projectId && projects.some((item) => {return item.id == data.projectId})) { //判断消息是否是当前用户拥有的项目
      if(!data.userList || (userId && data.userList && data.userList.includes(userId))){//判断消息接收人是否是当前用户
        if(data.module && data.module == 'Model'){ //模型文件的消息触发模型文件列表刷新事件
          Bus.$emit('modelStatusChange', data)
        }
        if(data.type != 'Refresh'){//消息列表可见消息(注类型为'Refresh'的消息用来驱动对应服务刷新,消息中心[用户]不可见)
          Notification({ 
            title: `${data.title?data.title:''}`, 
            dangerouslyUseHTMLString: true, 
            message: `【${this.moduleMap[data.module]?this.moduleMap[data.module]:data.module}】${data.content?.message?data.content.message:''}`,
            type: this.msgTypeMap[data.type]?this.msgTypeMap[data.type]:'info'
          })
          // Notification.info({ title: '消息',dangerouslyUseHTMLString: true, message: `项目编号：${data.projectId}<br>消息类型：${data.type}<br>描述信息：${data.description}<br>` })
          unreadNum++
          Bus.$emit('messageListUpdate', data)//消息驱动消息列表刷新
        }
        return unreadNum
      }
    }
    return 0;
  }
}

export default MSMQ