import Vue from "vue";

import "normalize.css";
// @ts-ignore
import uploader from "vue-simple-uploader";
import ElementUI from "element-ui";
import SvgIcon from "vue-svgicon";

import "@/styles/element-variables.scss";
import "@/styles/index.scss";

import App from "@/App.vue";
import store from "@/store";
import router from "@/router/index";
import '@/utils/directive' //自定义指令
import "@/icons/components";
import '@/assets/iconfont/iconfont.css'
import "@/permission";
import moment from "moment";
Vue.prototype.moment = moment;
moment.locale('zh-cn')
Vue.use(uploader);
Vue.use(ElementUI, { size: "small", zIndex: 1000 });
Vue.use(SvgIcon, {
    tagName: "svg-icon",
    defaultWidth: "1em",
    defaultHeight: "1em"
});

Vue.config.productionTip = false;

new Vue({
    router,
    store,
    render: h => h(App)
}).$mount("#app");
