import { SMouseButton, SMouseEvent } from "@persagy-web/base/lib";
import { FloorScene } from "./FloorScene";
import { MarkerItem } from "./MarkItem";

/**
 * 维护设备位置
*/
export class LocationScene extends FloorScene {
    markList: MarkerItem[] = [];
    marking: boolean = true;

    onMouseDown(event: SMouseEvent): boolean {
        console.log(event);
        if (this.marking && event.buttons == SMouseButton.LeftButton) {
            this.clearMark();
            this.addMarker({ x: event.x, y: event.y })
        }
        return super.onMouseDown(event)
    }

    clearMark(): void {
        this.markList.forEach(t => {
            this.removeItem(t)
        })
        this.markList = [];
        this.view!!.update()
    }

    /**
     * 添加标志到scene中
     *
     * @param   marker  标志对象
     */
    addMarker(marker: any): void {
        let mark = new MarkerItem(null, marker);
        mark.selectable = true
        mark.moveTo(marker.x, marker.y);
        this.markList.push(mark);
        this.addItem(mark);
    } // Function addMarker()
}